Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class AutoFlushEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.FlushEvent
              org.hibernate.event.spi.AutoFlushEvent

All Implemented Interfaces:
  Serializable

    public class AutoFlushEvent

extends FlushEvent

Defines an event class for the auto-flushing of a session.

See Also:
  Serialized Form

Constructor Summary
`AutoFlushEvent(Set querySpaces, EventSource source)`

Method Summary
`Set` | `getQuerySpaces()`
`boolean` | `isFlushRequired()`
`void` | `setFlushRequired(boolean dirty)`
`void` | `setQuerySpaces(Set querySpaces)`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoFlushEvent

    public AutoFlushEvent(Set querySpaces,
                          EventSource source)

Method Detail

### getQuerySpaces

    public Set getQuerySpaces()

### setQuerySpaces

    public void setQuerySpaces(Set querySpaces)

### isFlushRequired

    public boolean isFlushRequired()

### setFlushRequired

    public void setFlushRequired(boolean dirty)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.